- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
Sim::JointSymmetry Class Reference

JointSymmetry defines a symmetry between two joints. More...

`#include <alrobotmodel.h>`

## Public Types
enum | SymmetryType { MIRROR_SYM, MIRROR_ANTISYM }
| the symmetry can be direct or reversed More...

## Public Member Functions
| JointSymmetry ()
| creates an empty JointSymmetry, you should not use this. More...
| ~JointSymmetry ()
| destructor. More...
std::pair< const Joint *, const Joint * > | symmetricJoints () const
| returns the two symmetric joints. More...
const Joint * | symmetricJoint (const Joint *joint) const
| returns the symmetric Joint of the given Joint. More...
SymmetryType | symmetryType () const
| returns the type of the symmetry. More...

## Public Attributes
class JointSymmetryImpl * | a_impl
| brief private implementation. More...

## Detailed Description

JointSymmetry defines a symmetry between two joints.

Definition at line 345 of file alrobotmodel.h.

## Member Enumeration Documentation

enum Sim::JointSymmetry::SymmetryType

the symmetry can be direct or reversed

Enumerator
MIRROR_SYM |
MIRROR_ANTISYM |

Definition at line 359 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::JointSymmetry::JointSymmetry | ( |  | ) |

creates an empty JointSymmetry, you should not use this.

Warning
  The JointSymmetry being empty, every access to this object will throw.

Sim::JointSymmetry::~JointSymmetry | ( |  | ) |

destructor.

## Member Function Documentation

const Joint* Sim::JointSymmetry::symmetricJoint | ( | const Joint * | joint | ) | const

returns the symmetric Joint of the given Joint.

std::pair<const Joint*, const Joint*> Sim::JointSymmetry::symmetricJoints | ( |  | ) | const

returns the two symmetric joints.

SymmetryType Sim::JointSymmetry::symmetryType | ( |  | ) | const

returns the type of the symmetry.

## Member Data Documentation

class JointSymmetryImpl* Sim::JointSymmetry::a_impl

brief private implementation.

Definition at line 375 of file alrobotmodel.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h